---     
tags: 
  - CustomPoints
description: Creates a CustomPoint
  <br/><strong>OPTIONAL</strong> `id` integer | must not already exist, and will be automatically assigned if not specified
  <br/><strong>REQUIRED</strong> `custom_point_group_id` integer
  <br/><strong>OPTIONAL</strong> `reference_id` integer
  <br/><strong>REQUIRED</strong> `latitude` float
  <br/><strong>REQUIRED</strong> `longitude` float
  <br/><strong>REQUIRED</strong> `installed_at` integer
  <br/><strong>OPTIONAL</strong> `dates` array | All arrays must contain the same number of items (can be empty)
  <br/><strong>OPTIONAL</strong> `displacements` array | All arrays must contain the same number of items (can be empty)
  <br/><strong>OPTIONAL</strong> `displacement_errors` array | All arrays must contain the same number of items (can be empty)
  <br/><strong>OPTIONAL</strong> `rcs` array | All arrays must contain the same number of items (can be empty)
  <br/><strong>OPTIONAL</strong> `scr` array | All arrays must contain the same number of items (can be empty)
  <br/><strong>OPTIONAL</strong> `shape` string | 'circle' or 'square'
  <br/><strong>OPTIONAL</strong> `colour` string
parameters:
  - in: header
    name: Authorization
    type: string
    required: true
  - in: body
    name: body
    type: object
    required: true
    schema:
      example: {
        "id": 1,
        "custom_point_group_id": 1,
        "reference_id": 3,
        "latitude": 123,
        "longitude": 456,
        "installed_at": 20220101,
        "dates": [20220101],
        "displacements": [1],
        "displacement_errors": [1],
        "rcs": [1],
        "scr": [1],
        "shape": "circle",
        "colour": "#FF0000"
    }
produces: 
  - 'application/json'
responses:
  200:
    schema:
      properties:
        id:
          type: integer
          example: 1
        dates:
          type: name
          example: "Custom Point Group Name"
  400:
    schema:
      type: object
      properties:
        error:
          type: string
          example: It was not possible to create the CustomPoint.  Is the id already in use or the custom_point_group_id correct?
  401:
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'User not authorised'

